package com.gxzc.zen.logging.model

import java.io.Serializable
import java.util.*

/**
 *
 * @author NorthLan
 * @date 2018/8/23
 * @url https://noahlan.com
 */
open class LogBiz : Serializable {
    companion object {
        private const val serialVersionUID = 10000000000000004L
    }

    /**
     * 平台ID
     */
    var platformId: Int? = null
    /**
     * 业务ID
     */
    var bizId: String? = null

    /**
     * 业务名称
     */
    var bizName: String? = null

    /**
     * 业务内容(需自行组装)
     */
    var bizContent: String? = null

    /**
     * 操作人account
     */
    var operatorAccount: String? = null

    /**
     * 操作人name
     */
    var operatorName: String? = null

    /**
     * 操作时间
     */
    var operatorTime: Date = Date()

    /**
     * 客户端host
     */
    var remoteHost: String? = null

    /**
     * 备注
     */
    var remark: String? = null
}